Documentation Mercado Libre

Check out all the necessary information about APIs Mercado Libre.
circulos azuis em degrade

Documentation

Last update 15/01/2026

Individual discount

Sellers who wish to offer a particular deal for their items can do so with the following resources. They will have the ability to apply, delete, and query the discount.

Note:
The maximum duration for this type of campaign is 31 days. Starting from 03/24/2025 it will be 14 days.

To offer this discount you need:

  • Have green reputation.
  • The item must have active status.
  • Condition must be new.
  • The item exposure cannot be free.
  • And only for MLA, this type of discount is not available in book categories.


Offer discount

For this type of offer, you must meet some requirements. Learn more about how to offer discounts.


Request:

curl -X POST -H 'Authorization: Bearer $ACCESS_TOKEN'
-d '{
   "deal_price": $DEAL_PRICE,
   "top_deal_price": $TOP_DEAL_PRICE,
   "start_date": "$START_DATE",
   "finish_date": "$FINISH_DATE",
   "promotion_type": "PRICE_DISCOUNT"
}'
https://api.mercadolibre.com/seller-promotions/items/$ITEM_ID?app_version=v2

Example:

curl -X POST -H 'Authorization: Bearer $ACCESS_TOKEN'
-d '{
   "deal_price": 20,
   "top_deal_price": 30,
   "start_date": "2023-04-19T00:00:00",
   "finish_date": "2024-04-20T00:00:00",
   "promotion_type": "PRICE_DISCOUNT"
}'
https://api.mercadolibre.com/seller-promotions/items/MLA876768946?app_version=v2'

Response:

{
    "price": 70,
    "original_price": 100
}

Parameters

deal_price: discounted item price for all buyers.
top_deal_price: discounted item price for top buyers (with Mercado Puntos level 3 to 6) (optional)
start_date: discount start date.
finish_date: discount end date.


Considerations

  • It is possible to segment the discount offer, setting a general price for all buyers, and a lower one only for our loyal buyers (with level 3 to 6 of Mercado Puntos).
  • The general discount must be at least 5% less than the discount for level 3 to 6 users, for discounts up to 35%. For higher discounts, the difference must be at least 10%, meaning we give better discounts to higher levels.
  • The maximum discount must be less than 80% and the minimum discount to offer must be greater than or equal to 5%.
  • If the item price is increased, discounts will be automatically removed.
  • If when starting the discount, the item is participating in a DEAL, said discount will not be applied until the associated DEAL ends.
  • The maximum duration for a PRICE_DISCOUNT is 31 days. Starting from 03/24/2025 it will be 14 days.
  • The start date (start_date) and end date (finish_date) of the discount only consider the date itself, regardless of the time provided. By default, the discount starts at 00:00:00 on the start day and ends at 23:59:59 on the end day.
Note:
Keep in mind that for testing, the TEST user must have green reputation and the item must have at least 1 sale with the current price.

Item status

In the following table you can find the possible statuses that items can have when you want to apply an individual discount.

Status Description
started Active discount on the item.
finished Finished discount.
pending Scheduled discount.
sync_requested Pending activation process.
restore_requested Pending discount deletion process.
candidate Candidate item to participate in the promotion.


Delete individual discount from an item

Request:

curl -X DELETE -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/seller-promotions/items/$ITEM_ID?promotion_type=$PROMOTION_TYPE&app_version=v2&app_version=v2

Example:

curl -X DELETE -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/seller-promotions/items/MLA876768946?promotion_type=PRICE_DISCOUNT&app_version=v2

Remember that for individual offers (PRICE DISCOUNT) you will delete the entire offer, you cannot delete by buyer levels.


Response: Status 200 OK



Errors

Discounts outside the established ranges

{
   "key":"buyer_discount_not_in_range",
   "message":"buyers_discount_percentage parameter must be in range (5, 80)"
}
{
   "key":"best_buyer_discount_not_in_range",
   "message":"buyers_discount_percentage parameter must be in range (5, 80)"
}

Differences between discounts for levels 1-2 and levels 3-6 outside the established margins

{
   "key":"discount_below_10_percent_difference",
   "message":"The best buyer discount difference cannot be below 10% when buyers discount is above 35%"
}
{
   "key":"discount_below_5_percent_difference",
   "message":"The discount difference cannot be below 5%"
}

When the discount is not sufficient and the seller must apply a greater discount, we will return:

{
    "key": "error_credibility_price",
    "message": "The price is not credible."
}

Learn more about Discounts in your listings.


Next: Deal of the day